<?
function hasStatusBit($old_status, $status)
{
    $result = true;
    $result = ($old_status & $status) && $result;
    return $result;
}
function getDaysInBetween($start, $end = null) {
            if ( null === $end ) $end = mktime(0, 0, 0, date('m'), date('d'), date('Y'));
            $day = 86400; // Day in seconds
            $format = 'Y-m-d'; // Output format (see PHP date funciton)
            $sTime = /*strtotime(*/$start/*)*/; // Start as time
            $eTime = /*strtotime(*/$end/*)*/; // End as time
            $numDays = round(($eTime - $sTime) / $day);
            $days = array();

            // Return days
            return abs($numDays) /*- 1*/;
        }

        $client = Cubix_Api_XmlRpc_Client::getInstance();

        $is_no_profile = hasStatusBit($this->escort->status, Model_Escorts::ESCORT_STATUS_NO_PROFILE);
        $is_profile_changed = hasStatusBit($this->escort->status, Model_Escorts::ESCORT_STATUS_PROFILE_CHANGED);
        $is_not_photos = hasStatusBit($this->escort->status, Model_Escorts::ESCORT_STATUS_NO_ENOUGH_PHOTOS);
        $is_admin_disabled = hasStatusBit($this->escort->status, Model_Escorts::ESCORT_STATUS_ADMIN_DISABLED);
        $is_owner_disabled = hasStatusBit($this->escort->status, Model_Escorts::ESCORT_STATUS_OWNER_DISABLED);
        $is_inactive = hasStatusBit($this->escort->status, Model_Escorts::ESCORT_STATUS_INACTIVE);
        $is_offline = hasStatusBit($this->escort->status, Model_Escorts::ESCORT_STATUS_OFFLINE);
        $is_100_percent_verified = ($this->escort->verified_status == 2) ? true : false ;
        $contacts = $this->contactInfo;
        $website = $contacts['website'];
        $escort_additional_data = $client->call('Escorts.getEscortDashboardData', array($this->escort->id));
        $phone_verified = $escort_additional_data["last_hand_verification_date"]?true:false;
        $hasPackageOrGOTD = ($escort_additional_data["gotd"] || $escort_additional_data["package_id"])?true:false;
        $hasVideo = $escort_additional_data["vide_id"]?true:false;
// $is_no_profile = $client->call('Escorts.hasStatusBit', array($this->escort->id, Model_Escorts::ESCORT_STATUS_NO_PROFILE));
        // $is_profile_changed = $client->call('Escorts.hasStatusBit', array($this->escort->id, Model_Escorts::ESCORT_STATUS_PROFILE_CHANGED));
        // $is_not_photos = $client->call('Escorts.hasStatusBit', array($this->escort->id, Model_Escorts::ESCORT_STATUS_NO_ENOUGH_PHOTOS));
        // $is_admin_disabled = $client->call('Escorts.hasStatusBit', array($this->escort->id, Model_Escorts::ESCORT_STATUS_ADMIN_DISABLED));
        
        //$active_package = $client->call('Escorts.getActivePackage', array($this->escort->id));
        $package_queue = Cubix_Api::getInstance()->call('escorts.getActivePackagesExpiration', array($this->escort->id));
        if (!$this->escort->agency_id){
            $gotd_queue = Cubix_Api::getInstance()->call('escorts.getActiveGotdExpiration', array($this->escort->id));
            $has_package = false;
            if ($package_queue && $package_queue['active'])
            {
                $packageDuration = strtotime($package_queue['active']['expiration_date']) - strtotime($package_queue['active']['date_activated']);
                $packageDuration = floor($packageDuration / (60*60*24));
                $has_package = true;
                $dateDiff = strtotime($package_queue['active']['expiration_date']) - time();
                $days = floor($dateDiff / (60*60*24));
            }
        }

        $salesPerson = array();
        switch ($this->escort->sales_person) {
            case "carrie":
                $salesPerson['id'] = 191;
                $salesPerson['name'] = 'Carrie';
                $salesPerson['whatsapp'] = '+41767431209';
                $salesPerson['whatsappNum'] = '0041767431209';
                $salesPerson['email'] = 'carrie@escortguide.co.uk';
                break;
            case "jolyne":
                $salesPerson['id'] = 192;
                $salesPerson['name'] = 'Jolyne';
                $salesPerson['whatsapp'] = '+41767704542';
                $salesPerson['whatsappNum'] = '0041767704542';
                $salesPerson['email'] = 'jolyne@escortguide.co.uk';
                break;
            default:
                $salesPerson['id'] = 157;
                $salesPerson['name'] = 'Brandy';
                $salesPerson['whatsapp'] = null;
                $salesPerson['email'] = 'brandy@escortguide.co.uk';
        }

        $is_online_bu_user = $client->call('Users.getIsOnline', array($salesPerson['id']));
?>
<? /* Until next Halloween event :)
<? if (!IS_MOBILE_DEVICE): ?>
    <div id="halloween-modal" class="modal ">
        <div class="modal__overlay jsOverlay"></div>
        <div class="modal__container">
            <div class="all">
                <button id="halloween-modal-button" class="ok">
                    <a href="#" data-ajax-url="/private/billing/index/">GOT IT</a>
                </button>
            </div>
        </div>
    </div>
<?else:?>
    <div id="halloween-modal" class="modal ">
        <div class="modal__overlay jsOverlay"></div>
        <div class="modal__container modal-mobile">
            <div class="all">
                <button id="halloween-modal-button" class="ok">
                    <a href="#" data-ajax-url="/private/billing/index/">GOT IT</a>
                </button>
            </div>
        </div>
    </div>
<?endif;?>
<? if ($this->user->user_type != 'member' && !isset($_COOKIE['halloween-offer'])) : setcookie('halloween-offer', 1, strtotime('+12 month'), "/", '.' . Cubix_Application::getById(Cubix_Application::getId())->host); ?>
    <script>
        var halloweenStart = new Date(2021, 9, 30);
        var halloweenEnd = new Date(2021, 10, 1);
        var today = new Date();
        $( document ).ready(function() {
            if (today >= halloweenStart && today <= halloweenEnd){
                $('#halloween-modal').addClass('open');
                $('#halloween-modal').modal('show');
            }
        })
    </script>
<? endif; ?>
*/?>
<?if($is_inactive):?>
    <div id="instant-live-messages-alerts" class="mt-2 alert alert-danger" role="alert">
        <strong> Your ad is currently "Inactive" due to a long period of inactivity. If you are back to work, please "Activate" the ad.</strong>
        <a href="/private/profile-status?act=activate" id="enable" class="action-link-status">Enable Account </a>
    </div>
<?endif;?>
<? if(!$is_owner_disabled): ?>

<div class="card-block top-status-block" style="display: none; padding: 0 20px;" >
<? else: ?>
<div class="card-block top-status-block" style="padding: 20px 0;">
<? endif; ?>
    <div class="alert <?= ($is_owner_disabled) ? 'alert-warning' : 'alert-success' ?>" role="alert">
        <span>Attention! Your ad is disabled so not visible on the site.
        </span>
        <label class="switch switch-text switch-success float-right mb-0 profile-status-top">
            <input <?= (!$is_owner_disabled) ? 'checked' : '' ?> id="profile-status-top"
                                                                 value="<?= (!$is_owner_disabled) ? 'disable' : 'enable' ?>"
                                                                 type="checkbox" class="switch-input">
            <span class="switch-label" data-on="On" data-off="Off"></span>
            <span class="switch-handle"></span>
        </label>
    </div>
</div>
    <? if($is_offline):?>
        <div class="card-block top-status-block" style="padding: 20px 0;">
            <div class="alert alert-danger" role="alert">
                <span>Attention! Your ad is not visible on the site!
Our team marked your ad as breaking at least one of our guidelines. Please contact support  or info@escortguide.co.uk to find out what the problem is and what to do to fix it.</span>
            </div>
        </div>
    <? endif;?>
    <? if (!$phone_verified): ?>
    <div class="to-verify">
        <span>Phone number not verified</span>
        <a class="ml-2 btn btn-primary btn-bulle btn-verify" href="#" data-ajax-url="/private/phone-verification#index">Verify now</a>
    </div>
    <? endif; ?>
<div class="row escort-dashboard d-flex">
    <div class="col-12">
        <div class="card custom-card agent-custom-card">
            <? if ($salesPerson['name'] == 'Brandy') {
                $is_online_bu_user = '1';
            } ?>
            <div class="agent-custom-header-custom">
                <div class="agent-status">
                    <span class="grey mr-1">Your Agent is:</span> <?= ucfirst($salesPerson['name']) ?>
                    <span class="<?= $is_online_bu_user ? 'bulle-success' : 'bulle-offline'; ?>"><?= $is_online_bu_user ? 'online' : 'offline'; ?> </span>
                </div>
                <div class="agent-email">
                    <i class="ion-ios-email-outline"></i><span><?= $salesPerson['email'] ?></span>
                </div>

                <div class="agent-bull-group agent-custom-header-custom">
                    <? if ($salesPerson['whatsapp']): ?>
                        <div class="agent-whats-app">
                            <i class="ion-social-whatsapp-outline"></i> <span class="mr-1">WhatsApp:</span><a href="https://wa.me/<?= $salesPerson['whatsappNum'] ?>"><?= $salesPerson['whatsapp'] ?></a>
                        </div>
                    <? endif; ?>
                    <div class="agent-need-help">
                        <i class="ion-help-buoy"></i> <span class="mr-1">Need Support?</span> <a href="#" data-ajax-url="/private/support#index"> Send a request</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?if(!$this->escort->agency_id):?>
    <div class="col-12 col-lg-6 ">
        <div class="card custom-card gotd-custom-card">
            <img class="gotd-img" src="img/gotd_icon_desc.png" alt="">
            <div class="card-header gotd-card-header">
                <?if ( $this->escort->gender == 2 ):?>
                    <b>Get the Boy of the Day TITLE!</b> <br>
                    Take the spotlight, be where it matters and outshine the competition.
                <?else:?>
                    <b>Get the Girl of the Day TITLE!</b> <br>
                    Take the spotlight, be where it matters and outshine the competition.
                <?endif;?>
            </div>
            <div class="card-block ">
                <div class="bull-group">
                    <p class="bulle"><b>CITY PAGE</b> – get the first spot in your city</p>
                    <?if ( $this->escort->gender != 2 ):?>
                        <p class="bulle"><b>HOMEPAGE</b> – go above Premium Ads</p>
                    <?else:?>
                    <p class="bulle">Privileged spot above premium ads on Men's page</p>
                    <?endif;?>
                    <p class="bulle"><b>Girl of the Day label</b> on your photo as a seal of approval</p>
                    <?if ( $this->escort->gender == 2 ):?>
                        <p class="bulle"><?=($package_queue)?"<b>10 £/day</b> for Premium ads":"<b>9 £/day</b> for free ads";?></p>
                    <?else:?>
                        <p class="bulle"><?=($package_queue)?"<b>5 £/day</b> for Premium ads":"<b>10 £/day</b> for free ads";?></p>
                    <?endif;?>
                </div>
                <?if (count($gotd_queue)):?>
                    <p class="gotds">You currently have <?=count($gotd_queue)?> active GOTDS:<br>
                        <?foreach ($gotd_queue as $key => $gotd):?>
                            <?= date('d M Y', strtotime($gotd['activation_date'] )) .' - '. $gotd['city']?><?=($key != count($gotd_queue)-1)?',':'';?>
                        <?endforeach?>
                    </p>
                <?endif;?>
                <div class="button-gotd">
                    <a href="/private#profile/gotd" class="btn btn-primary btn-bulle">BOOK
                        <?if ( $this->escort->gender == 2 ):?>
                            BOTD
                        <?else:?>
                            GOTD
                        <?endif;?></a>
                </div>
            </div>
        </div>
    </div>
        <? if ($this->escort->id == 140261): ?>
            <? if (!IS_MOBILE_DEVICE): ?>
                <div class="col-12 col-lg-6 photo-verify">
                    <div class="card custom-card premium-custom-card">
                        <div class="card-block card-block-custom">
                            <img class="" src="/img/photo-verification-img.png" alt="">
                            <div class="banner-right-side">
                                <p class="banner-text">Premium ads with verified photos get</p>
                                <p class="banner-text banner-text-custom">20% extra premium days for free!</p>
                                <div class="banner-buttons">
                                    <? if (!$is_100_percent_verified): ?>
                                        <div class="verify-photos">
                                            <a href="private#verify/idcard">Verify photos now <i class="ion-checkmark-circled green ml-2"></i></a>
                                        </div>
                                    <? endif; ?>
                                    <? if ($is_100_percent_verified): ?>
                                    <div class="button-premium button-premium-custom">
                                        <? if ($has_package): ?>
                                            <a data-ajax-url="/private/billing/index/" <?= ($has_package && $package_queue['after']) ? 'disabled' : ''; ?>>Extend</a>
                                        <? else: ?>
                                            <a data-ajax-url="/private/billing/index/">Buy now</a>
                                        <? endif; ?>
                                    </div>
                                    <? endif; ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            <? else: ?>
                <div class="col-12 col-lg-6 mt-2">
                    <div class="card custom-card premium-custom-card">
                        <div class="card-block card-block-custom">
                            <div class="mob-idk">
                                <img class="" src="/img/photo-verification-img.png" alt="">
                                <div class="idk2">
                                    <p class="banner-text">Premium ads with verified photos get</p>
                                    <p class="banner-text banner-text-custom">20% extra premium days for free!</p>
                                </div>
                            </div>
                        </div>
                        <div class="banner-buttons">
                            <? if (!$is_100_percent_verified): ?>
                                <div class="verify-photos">
                                    <a href="private#verify/idcard">Verify photos now <i class="ion-checkmark-circled green ml-2"></i></a>
                                </div>
                            <? endif; ?>
                            <? if ($is_100_percent_verified): ?>
                                <div class="button-premium button-premium-custom">
                                    <? if ($has_package): ?>
                                        <a data-ajax-url="/private/billing/index/" <?= ($has_package && $package_queue['after']) ? 'disabled' : ''; ?>>Extend</a>
                                    <? else: ?>
                                        <a data-ajax-url="/private/billing/index/">Buy now</a>
                                    <? endif; ?>
                                </div>
                            <? endif; ?>
                        </div>
                    </div>
                </div>
            <? endif; ?>
        <? else: ?>
            <div class="col-12 col-lg-6 ">
                <div class="card custom-card premium-custom-card">
                    <div class="card-header premium-card-header">
                        Premium Ad
                    </div>
                    <div class="card-block ">
                        <div class="bull-group">
                            <p class="bulle">Premium spot in city page and homepage</p>
                            <p class="bulle">Premium label on your photo</p>
                            <p class="bulle">Price and duration for any budget</p>
                            <p class="bulle">Premium ads can buy
                                GotD
                                for half a price</p>
                        </div>
                        <div class="button-premium">
                            <button data-ajax-url="/private/billing/index/" class="btn btn-primary btn-bulle">BUY PREMIUM</button>
                        </div>
                    </div>
                </div>
            </div>
        <? endif; ?>
    <? endif; ?>
    <div class="col-12 col-lg-6 mt-2">
        <div class="card custom-card status-custom-card">
            <div class="card-header status-card-header">
                <span class="grey">Profile status:</span> <?=(!$is_offline && !$is_inactive && !$is_owner_disabled && $is_100_percent_verified && !$is_not_photos && $phone_verified && $phone_verified && $hasPackageOrGOTD && $hasVideo)?'Perfect!': 'Something missing'?>
            </div>
            <div class="card-block ">
                <div class="status-bull-group">
                    <p class="<?= ($is_offline || $is_owner_disabled || $is_inactive)?'bulle-not-success':'bulle-success' ?>">Ad is <?= ($is_offline || $is_owner_disabled || $is_inactive)?'offline':'online'?>
                        <?if($is_owner_disabled):?>
                            <a href="/private/profile-status?act=enable" id="enable" class="action-link-status">Enable Account </a>
                        <?endif;?>
                    </p>
                    <p class="<?=!$is_100_percent_verified?'bulle-not-success':'bulle-success'?>"><?=!$is_100_percent_verified?'Photos are not verified':'Photos are verified'?>
                        <?if(!$is_100_percent_verified):?>
                            <a href="#" data-ajax-url="/private/verify#idcard" class="action-link-photos">Verify Photos </a>
                        <?endif;?>
                    </p>
                    <p class="<?=$phone_verified?'bulle-success':'bulle-not-success'?>">Phone number <?=$phone_verified?'is confirmed':'is not confirmed'?>
                        <?if(!$phone_verified):?>
                            <a href="#" data-ajax-url="/private/phone-verification#index" class="<?= !$this->escort->contact_phone_parsed? 'action-link-no-phone disabled':'action-link-phone' ;?>"><?= !$this->escort->contact_phone_parsed? 'No phone number':'Verify phone number' ;?></a>
                        <?endif;?>
                    </p>
                    <p class="<?=$hasPackageOrGOTD?'bulle-success':'bulle-not-success'?>"><?=$hasPackageOrGOTD?'Premium package or GOTD':'You have a basic free ad'?>
                    <?if(!$hasPackageOrGOTD):?>
                        <a href="#" data-ajax-url="/private#billing/index/" class="action-link-buy-premium">Buy Premium</a>
                    <?endif;?>
                    </p>
                    <p class="<?=$hasVideo?'bulle-success':'bulle-not-success'?>"><?=$hasVideo?'Video Published':'No Video Published'?>
                        <?if(!$hasVideo):?>
                            <a href="#" data-ajax-url="/private/profile#video" class="action-link-video">Upload Video Now</a>
                        <?endif;?>
                    </p>
                </div>
            </div>
        </div>
    </div>

    <? if (empty($website) && $_COOKIE['ebookhide'] != 1 ): ?>
        <div class="col-12 col-lg-6 card-banner">
            <div class="card">
                <div class="banner-escort">
                    <div class="banner-image"></div>
                    <div class="content">
                        <p>Make your own escort site-easy and free! <br>
                            Try escortbook.com!</p>
                        <div class="buttons">
                            <a id="not-interested" class="button-ni banner-button">Not interested :(</a>
                            <a href="https://www.escortbook.com/signup?utm_source=egukPA&utm_medium=egukbanpa&utm_campaign=bannerpauk"
                               class="button-c banner-button">Create your free site ✓</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <? endif; ?>

    <!--<div class="col-12 col-lg-6 ">
        <div class="card custom-card">
            <div class="card-header">
                <i class="fa fa-cart-plus" aria-hidden="true"></i> New feature: pay your ad online!
            </div>
            <div class="card-block ">
                <p class="">Want your ad above other ads in homepage or in your city? Then try our new Self checkout and pay for your upgrade fast and easy directly from your account! Just click on the button below:</p>
                <div id="govazd" class="container mb-3">
                    <div class="d-flex">
                        <button data-ajax-url="/private/billing/index/" class="btn m-auto btn-success rounded" type="button" data-toggle="collapse" data-target="#collapseExample" aria-expanded="false" aria-controls="collapseExample">UPGRADE NOW</button></div>
                </div>
            </div>
        </div>
    </div>-->
    <div class="col-sm-12 col-md-6 status-message-block">
        <div class="card">
            <div class="card-header">
                <i class="fa fa-comment-o" aria-hidden="true"></i> Status message
            </div>
            <div class="card-block instant-live-messages-block">
                <p>Add a status message and it will be shown on the homepage and your city page, as well as in the mobile page of status messages. Get more attention and add a status message now!</p>
                <div class="col-12"><p class="d-md-none ">
                        <!--                        Share your todays mood, thoughts, feeling or wishes with the community! Just enter anything personal into the instant message box below - it will immediately show on your sedcard and througout the site and brings you much more attention!-->
                        <?= __('share_mood')?>
                    </p></div>
                <form id="instant-live-messages" action="">
                    <div class="form-group">
                        <div class="input-group">
                            <span class="input-group-addon d-none d-md-block"><i class="fa fa-commenting-o" aria-hidden="true"></i></span>
                            <input required="" type="text" name="text" id="bubble-text" class="form-control" value="<?= $this->bubble_text['text']?>">
                        </div>
                        <div id="bubble-text-info-message" class="mt-2 alert alert-danger d-none" role="alert">
                            <strong>Notice:</strong> <span></span>
                        </div>
                    </div>
                    <div class="text-right">
                        <button type="submit" class="btn btn-primary btn-lg rounded">Share</button>
                    </div>
                </form>
                <div id="instant-live-messages-alerts" class="mt-2 alert alert-warning d-none" role="alert">
                    <strong>Notice:</strong> You are allowed to change your bubble text only once per day!
                </div>

                <div id="instant-live-messages-alert-success" class="mt-2 alert alert-success d-none" role="alert">
                    Bubble text successfully updated
                </div>
            </div>
        </div>
    </div>
    <?php if( $is_no_profile || $is_profile_changed || $package_queue): ?>
        <div class="col-md-6 notifications-block">
            <div class="card">
                <div class="card-header">
                    <i class="fa fa-bell"></i> Notifications
                </div>
                <div class="card-block ">
                    <div class="dashboard-notifications">
                        <? if($this->escort->status & Cubix_EscortStatus::ESCORT_STATUS_TEMPRARY_DELETED): ?>
                            <span class="strong red">Account will be removed After <?= ceil(  48 - (time() - strtotime($this->escort->deleted_date) + 60 )/3600 ) ; ?> hours</span>
                            <a class="disableButton" href="<?= $this->getLink('private-v2-escorts-restore') ?>"><?= __('restore') ?></a>
                        <? else: ?>
                            <? if ( $package_queue ): ?>
                                <?
                                //$expires_in = ($active_package['expiration_date']) ? getDaysInBetween(strtotime($active_package['expiration_date']), mktime(0, 0, 0, date('m'), date('d'), date('Y'))) : '-';
                                $expires_in = getDaysInBetween(strtotime($package_queue['active']['expiration_date']));

                                ?>
                                <? if ( $expires_in == 0 ): ?>
                                    <div class="alert alert-danger" role="alert">
                                        <?= __("pv2_alert_package_info_2", array('PACKAGE_NAME' => $package_queue['active']['name'], 'DAYS' => __('today'))) ?>
                                    </div>
                                <? elseif($expires_in == 1): ?>
                                    <div class="alert alert-danger" role="alert">
                                        <?= __("pv2_alert_package_info_2", array('PACKAGE_NAME' => $package_queue['active']['name'], 'DAYS' => __('tomorrow'))) ?>
                                    </div>
                                <? else: ?>
                                    <div class="alert alert-danger" role="alert">
                                        <?= __("pv2_alert_package_info", array('PACKAGE_NAME' => $package_queue['active']['name'], 'DAYS' => $expires_in)) ?>
                                    </div>
                                <? endif; ?>

                                <? if ( $package_queue['after'] && $package_queue['after']['name'] !== 'DIAMOND PREMIUM'): ?>
                                    <div class="alert alert-danger" role="alert">
                                        <?= __('pv2_alert_package_info_after', array('pkg_name' => $package_queue['after']['name'], 'pkg_period' => $package_queue['after']['period'])) ?>
                                    </div>
                                <? endif ?>
                            <? endif; ?>

                            <? if ( $is_no_profile && ! $is_profile_changed ): ?>
                                <div class="alert alert-danger" role="alert">
                                    You don't have a profile yet, please click <a href="#" data-ajax-url="/private/profile#index">here</a> to add new profile!
                                </div>
                            <? elseif ( $is_profile_changed ): ?>
                                <div class="alert alert-danger" role="alert">
                                    <?= __('pv2_alert_profile_is_not_approved') ?>
                                </div>
                            <? elseif ( $is_admin_disabled ): ?>
                                <div class="alert alert-danger" role="alert">
                                    <?= __('pv2_alert_profile_admin_disabled') ?>
                                </div>
                            <? elseif ( $is_not_photos ): ?>
                                <div class="alert alert-danger" role="alert">
                                    <?= __('pv2_alert_profile_not_enough_photos') ?>
                                </div>
                            <? endif; ?>

                        <? endif; ?>
                    </div>
                </div>
            </div>
        </div>
    <? endif; ?>
    <p class="d-md-none text-center how-to-use">In order to manage your profile, please tap on the avatar in the upper right corner.</p>
    <div class="col-sm-12 col-md-6 views-block">
        <div class="card">
            <div class="card-header"><i class="fa fa-line-chart" aria-hidden="true"></i>Views</div>
            <div class="card-block">
                <?
                $escort_views = json_decode($this->escort_views);
                if(!empty($escort_views)): ?>
                    <div id="container-chart" class="d-none d-md-block"></div>
                    <div id="container-chart-text" class="d-md-none">
                        <table class="table">
                            <thead>
                                <tr>
                                    <th>Date</th>
                                    <th>Count</th>
                                </tr>
                            </thead>
                            <tbody class="escort-views">

                            </tbody>
                        </table>
                    </div>
                <?php else:?>
                    <div class="alert alert-warning" role="alert"> <p class="mb-0">No data available-please check your profile status.</p></div>
                <? endif; ?>
            </div>
        </div>
    </div>


    <?php if( $this->escort->status == 67): ?>
        <div class="col-sm-12 col-md-6 d-none mobile-show profile-complete">
            <div class="card">
                <div class="card-header text-capitalize">
                    <i class="fa fa-id-card-o" aria-hidden="true"></i> Not Completed
                </div>
                <div class="card-block">
                    <div class="alert alert-danger alert-profile-complete d-flex" role="alert">
                        <span>Your profile is not completed!</span>
                        <button class="btn btn-primary" data-ajax-url="/private/profile#index">Complete</button>
                    </div>
                </div>
            </div>
        </div>
    <?php endif;?>

<!--     <div class="col-sm-12 col-md-6">-->
<!--        <div class="card">-->
<!--            <div class="card-header">-->
<!--                <i class="fa fa-info-circle" aria-hidden="true"></i>-->
<!--                Additional information-->
<!--                <div class="small text-muted"></div>-->
<!--            </div>-->
<!--            <div class="card-block">-->
<!--                <div class="alert alert-warning" role="alert">-->
<!--                  --><?//= __('att_photos_count') ?>
<!--                </div>-->
<!--                <div class="alert alert-success" role="alert">-->
<!--                  --><?//= __('tip_text') ?>
<!--                </div>-->
<!--           </div>-->
<!--        </div>-->
<!--    </div>-->
    <!--/.col-->
</div>

<div class="d-md-none  quick-links-block">
    <div class="card">
        <div class="card-header">
            <i class="fa fa-rocket" aria-hidden="true"></i> Quick links
        </div>
        <div class="card-block ">
            <div class="d-flex flex-column">
                <a target="_blank"  class="btn btn-lg btn-primary mb-1 rounded" href="<?= $this->GetLink('advertise') ?>">Premium advertising</a>
                <a data-ajax-url="/private/profile#index" class="btn btn-lg btn-primary mb-1 rounded" href="">Edit profile</a>
                <a data-ajax-url="/private/verify#idcard" class="btn btn-lg btn-primary mb-1 rounded" href="">Verify your photos</a>
                <?php if(empty($this->hasVideo[0])):?>
                    <a data-ajax-url="/private/profile#gallery" class="btn btn-lg btn-primary mb-1 rounded" href="">Upload Video</a>
                <?php endif;?>
            </div>
        </div>
    </div>
</div>

<script>

    $(document).ready(function (){
        $('#enable').on('click',function (e){
            e.preventDefault();
            var url = $(this).attr('href');

            $.ajax({
                method: 'get',
                url: url,
                success: function(resp) {
                    if (resp)
                    {
                        location.reload();
                    }
                },

                error : function() {
                    alert('Something went wrong.');
                },

            });
        });

        const bubbleTextCharactersLength = 65;
        $('input[name=text]').on('keypress paste', function () {
            if ($(this).val().length >= bubbleTextCharactersLength) {
                $('#bubble-text-info-message').addClass('show').removeClass('d-none')
                $('#bubble-text-info-message span').html(`The character limit for a status message is ${bubbleTextCharactersLength}`);
                setTimeout(function () {
                    $('#bubble-text-info-message').addClass('d-none').removeClass('show')
                    $('#bubble-text-info-message span').html(``);
                }, 7000);
                return false;
            }
        })
    })

    var data = JSON.parse('<?= $this->escort_views?>');

    if(data && data.length > 0) {
        var highcart_data = data.map(function (value) {
            var date = value.date.split('-');
            // date[1] - 1 becauese in js month started from 0
            return [Date.UTC(date[0],date[1] - 1,date[2]),value.count]
        });

        //Highchart for desktop
        Highcharts.chart('container-chart', {
            title: {
                text: 'Your views in last week'
            },
            xAxis: {
                type: 'datetime',
                dateTimeLabelFormats: {
                    day: '%e.%m'
                }
            },
            tooltip: {
                formatter: function () {
                    return '<b> Views '+ this.y +'</b>';
                }
            },

            yAxis: {
                title: {
                    text: null
                }
            },

            series: [{
                name: 'Views',
                data: highcart_data,
            }]
        });

        //Show views for mobile
        $.each(data,function (i , row) {
           $('#container-chart-text .escort-views')
               .append("<tr><td>" + row.date + "</td><td>" + row.count + " Views</td></tr></p>")
        });
    }
</script>

